## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/auditevents

### Try it

Get Audit Events

### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/auditevents \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/auditevents"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/auditevents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/auditevents",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/auditevents"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Error Codes

| Code | Description                          |
|------|--------------------------------------|
| 200  | Success                              |
| 400  | Bad Request                          |
| 401  | Unauthorized                         |
| 402  | Payment Required                     |
| 403  | Forbidden                            |
| 404  | Not Found                            |
| 405  | Method Not Allowed                   |
| 409  | Conflict                             |
| 413  | Payload Too Large                   |
| 500  | Internal Server Error                |
| 501  | Not Implemented                      |
| 502  | Bad Gateway                          |
| 503  | Service Unavailable                  |
| 504  | Gateway Timeout                      |

### Sample Response

```
{
  "items": [
    {
      "id": "<string>",
      "timestamp": "2020-04-27T14:22:11.000Z",
      "type": "create",
      "user": "hans.mustermann@xyz.com",
      "modifiedResources": [
        {
          "elementId": "<string>",
          "elementType": "node"
        }
      ]
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Authorizations
- **APIKeyHeader**: Supply the API Key in the HTTP-Header

### Headers
- **Accept**: Specifies the media type that the client expects in the response. Available options:
  - `application/json`
  - `application/hal+json`
  - `application/xml`
  - `text/xml`
  - `text/csv`

### Query Parameters
- **filter**: The user or type to filter the records
- **user**: Specific user filter
- **type**: Filter actions based on type values like `create`, `update`, etc.
- **limit**: Maximum number of items to return (default: 25, max: 100)
- **skip**: Number of items to skip (default: 0)
- **sort**: Specify sort order in format `field:direction` (e.g., `name:asc`)
- **next**: Cursor pointing to the next page of results
- **previous**: Cursor pointing to the previous page of results

### Response

Returns an array of audit event metadata objects.
